<h1>
    Tasks
</h1>

<div style="float: right;">
    <form class="form-inline">
        <select class="form-control" ng-model="ctrl.task.project" ng-change="ctrl.loadTasks()">
            <option ng-repeat="project in ctrl.projects" ng-bind="project.name" ng-value="project._id"></option>
        </select>
    </form>
</div>

<table class="table table-stripped">
    <tr>
        <th>Name</th><th>Creation time</th><th>Responsible</th><th>Actions</th>
    </tr>
    <tr ng-repeat="task in ctrl.tasks">
        <td ng-bind="task.name"></td><td ng-bind="task.creationTime | date:'yyyy-MM-dd HH:mm:ss Z'"></td>
        <td ng-bind="task.responsible"></td>
        <td>
            <button class="btn btn-primary" ng-click="ctrl.takeOver(task._id)" ng-disabled="task.responsible">Take over</button>
            <button class="btn btn-primary" ng-click="ctrl.done(task._id)" ng-disabled="">Done</button>
        </td>
    </tr>
</table>

<form class="form-inline">
    <input class="form-control" type="text" placeholder="name of the task" ng-model="ctrl.task.name"/>
    <button class="btn btn-primary fa fa-plus" ng-click="ctrl.addTask()"></button>
</form>